<template>
  <HeaderCategory />
  <MerchantHeader />
  <div class="w-full h-2.5 bg-600"></div>
  <CategoryList :category="category" />
  <ButtonFavorite />
</template>

<script>
import axios from "axios";
import MerchantHeader from "./content/MerchantHeader.vue";
import CategoryList from "./content/CategoryList.vue";
import ButtonFavorite from "./content/Button.vue";
import HeaderCategory from "./content/Header.vue";

export default {
  name: "ComponentCategory",
  components: {
    MerchantHeader,
    CategoryList,
    ButtonFavorite,
    HeaderCategory,
  },
  data() {
    return {
      category: [],
    };
  },
  created() {
    axios
      .get("products/categories")
      .then((response) => {
        this.category = response.data;
      })
      .catch((e) => {
        console.log(e);
      });
  },
};
</script>
